# Interface methods for submodule: Forward1DFFTImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: Forward1DFFTImageFilter
class Forward1DFFTImageFilterProxy(_ImageToImageFilterProxy):
	def GetNameOfClass(self):
		""""""
		...

	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetDirection(self) -> int:
		""""""
		...

	def SetDirection(self, _arg: int) -> None:
		""""""
		...

	def GetSizeGreatestPrimeFactor(self) -> int:
		""""""
		...

